optics-core-0.4.1.1: Optics as an abstract interface: core definitions

Safe Haskell | None
Language | Haskell2010

Optics.Core.Extras

Synopsis

- is :: forall k (is :: IxList) s a. Is k An_AffineFold => Optic' k is s a -> s -> Bool

# Documentation

is :: forall k (is :: IxList) s a. Is k An_AffineFold => Optic' k is s a -> s -> Bool Source #

Check to see if this `AffineFold` matches.

    >>> is _Just Nothing
    False

Since: 0.4.1